Bug 461505 - can't set timestamp on samba shares
Summary: can't set timestamp on samba shares
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gvfs
Version: 12
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Tomáš Bžatek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: Reopened
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-09-08 17:30 UTC by Bill Peck
Modified: 2015-03-03 22:33 UTC (History)
4 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2009-12-02 04:47:59 UTC


Attachments (Terms of Use)

Description Bill Peck 2008-09-08 17:30:44 UTC
Description of problem:
I have write permision to the share but I can't set the timestamp on files.  This causes gthumb image importer to fail.

Version-Release number of selected component (if applicable):
gvfs-0.2.5-1.fc9.i386

How reproducible:
everytime

Steps to Reproduce:
1. Setup a samba share
2. mount the share via gvfs
3. you can use touch in the .gvfsd directory to verify that you don't have permision to set timestamps. 
  
Actual results:
permission denied
the file is still created

Expected results:
it should create/touch the file with the correct timestamp

Additional info:

Comment 1 Bill Peck 2008-10-01 16:48:55 UTC
Ping?

This is still an issue with latest Fedora 10 Beta.

Comment 2 Tomáš Bžatek 2008-11-05 15:32:19 UTC
(server is running samba-3.0.30-0.fc8)

Comment 3 Tomáš Bžatek 2008-11-07 16:11:16 UTC
Can you please test new F10 packages?

http://koji.fedoraproject.org/koji/buildinfo?buildID=68753

Comment 4 Bill Peck 2008-11-08 16:23:51 UTC
Upgraded to new packages and it didn't fix the problem.

I rebooted to make sure.

Is there any network capture or debug mode I could put gvfs in to give you more information?

Comment 5 Bug Zapper 2008-11-26 02:59:42 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 6 Bug Zapper 2009-11-18 08:22:13 UTC
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 7 Bill Peck 2009-11-18 14:26:08 UTC
This bug is still present is Fedora 12.

Comment 8 Fedora Update System 2009-11-30 15:02:38 UTC
gvfs-1.4.2-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/gvfs-1.4.2-1.fc12

Comment 9 Fedora Update System 2009-12-02 04:47:34 UTC
gvfs-1.4.2-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Nrbrtx 2013-02-09 19:21:23 UTC
This bug exists in Fedora 18 with gvfs-1.14.2-2.fc18
. 
0. I have a Samba share on QNAP NAS and Fedora 18 LiveCD.
1. I mount it from Nautilus, and go to it in Gnome terminal (cd /run/user/1000/gvfs/smb<tab>).
2.1. I copy /etc/issue file (Dec 20 00:21) to it with 
"cp -pr /etc/issue ."
I get an error
"cp: clearing permissions for ‘./issue’: Operation not supported"
2.2. I copy /etc/issue file to it with  
"cp /etc/issue . --preserve=timestamp"
file is copied and has todays date.
It is an error.

Comment 11 Nrbrtx 2013-02-09 20:05:37 UTC
I reported a bug to Gnome bugzilla - https://bugzilla.gnome.org/show_bug.cgi?id=693491.

Comment 12 Nrbrtx 2013-02-10 17:16:56 UTC
This bug is reproducible if I mount Samba-shared folder (Samba server is Ubuntu
12.04), not QNAP's.


Note You need to log in before you can comment on or make changes to this bug.